package com.liang.entity;

import java.io.Serializable;

/**
 * 项目人员(PrjMember)实体类
 *
 * @author makejava
 * @since 2023-03-10 11:21:54
 */
public class PrjMember implements Serializable {
    private static final long serialVersionUID = -55947996636647050L;

    private Integer id;
    /**
     * 人员（浏览可多选）
     */
    private Integer ry;
    /**
     * 姓名
     */
    private String ryxm;
    /**
     * 单位
     */
    private Integer dw;
    /**
     * 单位名称
     */
    private String dwmc;
    /**
     * 项目
     */
    private Integer xm;
    /**
     * 单位类型
     */
    private String dwlx;
    private String dwlxmc;
    /**
     * 项目角色
     */
    private String xmjs;
    private String xmjsmc;
    /**
     * 顺序编号
     */
    private Integer sxbh;
    /**
     * 职称
     */
    private String zc;
    private String zcmc;
    /**
     * 投入工作总月数
     */
    private Integer trgzzys;
    /**
     * 用户详情
     */
    private String yhxq;
    /**
     * 本项目分工
     */
    private String bxmfg;

    /**
     * 学历
     *
     * @return
     */
    private Integer xl;
    private String xlmc;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getRy() {
        return ry;
    }

    public void setRy(Integer ry) {
        this.ry = ry;
    }

    public Integer getDw() {
        return dw;
    }

    public void setDw(Integer dw) {
        this.dw = dw;
    }

    public Integer getXm() {
        return xm;
    }

    public void setXm(Integer xm) {
        this.xm = xm;
    }

    public String getRyxm() {
        return ryxm;
    }

    public void setRyxm(String ryxm) {
        this.ryxm = ryxm;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getDwlx() {
        return dwlx;
    }

    public void setDwlx(String dwlx) {
        this.dwlx = dwlx;
    }

    public String getDwlxmc() {
        return dwlxmc;
    }

    public void setDwlxmc(String dwlxmc) {
        this.dwlxmc = dwlxmc;
    }

    public String getXmjs() {
        return xmjs;
    }

    public void setXmjs(String xmjs) {
        this.xmjs = xmjs;
    }

    public String getXmjsmc() {
        return xmjsmc;
    }

    public void setXmjsmc(String xmjsmc) {
        this.xmjsmc = xmjsmc;
    }

    public Integer getSxbh() {
        return sxbh;
    }

    public void setSxbh(Integer sxbh) {
        this.sxbh = sxbh;
    }

    public String getZc() {
        return zc;
    }

    public void setZc(String zc) {
        this.zc = zc;
    }

    public String getZcmc() {
        return zcmc;
    }

    public void setZcmc(String zcmc) {
        this.zcmc = zcmc;
    }

    public Integer getTrgzzys() {
        return trgzzys;
    }

    public void setTrgzzys(Integer trgzzys) {
        this.trgzzys = trgzzys;
    }

    public String getYhxq() {
        return yhxq;
    }

    public void setYhxq(String yhxq) {
        this.yhxq = yhxq;
    }

    public String getBxmfg() {
        return bxmfg;
    }

    public void setBxmfg(String bxmfg) {
        this.bxmfg = bxmfg;
    }

    public Integer getXl() {
        return xl;
    }

    public void setXl(Integer xl) {
        this.xl = xl;
    }

    public String getXlmc() {
        return xlmc;
    }

    public void setXlmc(String xlmc) {
        this.xlmc = xlmc;
    }
}

